nvm/install.sh

74 lines
1.7 KiB
Bash
Raw Normal View History

2012-10-30 07:03:01 +08:00
#!/bin/bash
set -e
if [ ! "$NVM_SOURCE" ]; then
NVM_SOURCE="https://github.com/creationix/nvm.git"
fi
if [ ! "$NVM_DIR" ]; then
NVM_DIR="$HOME/.nvm"
fi
2012-10-30 07:03:01 +08:00
2013-06-08 06:42:28 +08:00
if ! hash git 2>/dev/null; then
echo >&2 "You need to install git - visit http://git-scm.com/downloads"
echo >&2 "or, use install-gitless.sh instead."
2013-06-08 06:42:28 +08:00
exit 1
fi
if [ -d "$NVM_DIR" ]; then
echo "=> NVM is already installed in $NVM_DIR, trying to update"
echo -e "\r=> \c"
cd "$NVM_DIR" && git pull
2013-07-26 19:58:47 +08:00
else
# Cloning to $NVM_DIR
mkdir -p "$NVM_DIR"
git clone "$NVM_SOURCE" "$NVM_DIR"
2012-10-30 07:03:01 +08:00
fi
echo
2012-10-30 07:03:01 +08:00
# Detect profile file if not specified as environment variable (eg: PROFILE=~/.myprofile).
if [ ! "$PROFILE" ]; then
2012-10-30 07:03:01 +08:00
if [ -f "$HOME/.bash_profile" ]; then
PROFILE="$HOME/.bash_profile"
elif [ -f "$HOME/.zshrc" ]; then
PROFILE="$HOME/.zshrc"
2012-10-30 07:03:01 +08:00
elif [ -f "$HOME/.profile" ]; then
PROFILE="$HOME/.profile"
2012-10-30 07:03:01 +08:00
fi
fi
2014-01-15 12:48:08 +08:00
SOURCE_STR="[[ -s \$HOME/.nvm/nvm.sh ]] && . \$HOME/.nvm/nvm.sh # This loads NVM"
2012-10-30 07:03:01 +08:00
if [ -z "$PROFILE" ] || [ ! -f "$PROFILE" ] ; then
if [ -z $PROFILE ]; then
2013-07-26 19:58:47 +08:00
echo "=> Profile not found. Tried $HOME/.bash_profile and $HOME/.profile"
2012-10-30 07:03:01 +08:00
else
echo "=> Profile $PROFILE not found"
fi
2013-07-26 19:58:47 +08:00
echo "=> Run this script again after running the following:"
echo
echo "\ttouch $HOME/.profile"
echo
echo "-- OR --"
echo
2012-10-30 07:03:01 +08:00
echo "=> Append the following line to the correct file yourself"
echo
echo "\t$SOURCE_STR"
echo
2013-07-26 19:58:47 +08:00
echo "=> Close and reopen your terminal afterwards to start using NVM"
2012-10-30 07:03:01 +08:00
exit
fi
if ! grep -qc 'nvm.sh' $PROFILE; then
echo "=> Appending source string to $PROFILE"
2013-06-14 14:10:59 +08:00
echo "" >> "$PROFILE"
2012-10-30 07:03:01 +08:00
echo $SOURCE_STR >> "$PROFILE"
else
echo "=> Source string already in $PROFILE"
fi
echo "=> Close and reopen your terminal to start using NVM"
2014-03-16 02:41:50 +08:00